Subject: Re: bug#7348: 23.2.50; Emacs crashes on fast window resize with scrollbars on under OSX

From: Eli Zaretskii <[email-masked]>
Date: Tue, 09 Nov 2010 18:57:15 +0200

> Date: Tue, 09 Nov 2010 08:43:20 +0100
> From: martin rudalics <[email-masked]>
> CC: [email-masked], [email-masked], 
>  [email-masked]
> 
>  > The second call to do_pending_window_change is conditioned on
>  > must_finish being zero, which I think cannot happen when this
>  > situation hits.
> 
> Well I thought must_finish being non-zero means we must neglect pending
> changes while must_finish zero means we are allowed to do them.  But I
> don't understand redisplay_internal at all.

On second thought, perhaps we should simply goto retry after this
second call.  I don't believe we could hit an infloop, since the
offending window was already deleted.  WDYT?

> In my branch I try to avoid that frame size changes may delete the
> selected window.

How can you do that in general?  What will the window display like?